## ms-eater 0.3.4-1

=== CMakeLists.txt ===

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(mseater CXX)


SET(SOFTWARE_NAME "MS-Eater")

SET(MSEATER_VERSION_MAJOR "0")
SET(MSEATER_VERSION_MINOR "3")
SET(MSEATER_VERSION_PATCH "4")
SET(MSEATER_VERSION "${MSEATER_VERSION_MAJOR}.${MSEATER_VERSION_MINOR}.${MSEATER_VERSION_PATCH}")

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
IF(CMAKE_INSTALL_PREFIX)
  SET(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
ENDIF(CMAKE_INSTALL_PREFIX)

# Packager
SET(CPACK_PACKAGE_NAME "ms-eater")
SET(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
SET(CPACK_PACKAGE_VERSION "${MSEATER_VERSION}")
SET(CPACK_PACKAGE_VERSION_MAJOR "${MSEATER_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${MSEATER_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${MSEATER_VERSION_PATCH}")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "various mass spectrometry and proteomics tools")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
SET(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "build/"
 "html"
 "Core.tag"
 "Testing"
 "build-stamp"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)



#dch -Djessie "message"
#cmake ..
#make deb
# scp ms-eater* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
INCLUDE(CPack)

#This adds the 'dist' target
ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
IF("${CMAKE_GENERATOR}" MATCHES "Make")
  ADD_CUSTOM_TARGET(make_clean
  COMMAND ${CMAKE_MAKE_PROGRAM} clean
  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  ADD_DEPENDENCIES(dist make_clean)
ENDIF()

IF (UNIX)
#This creates deb packages:



	add_custom_target(targz
		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${MSEATER_VERSION}.tar.gz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating .tar.gz" VERBATIM
	)


	add_custom_target(deb
		cd ${CPACK_PACKAGE_NAME}-${MSEATER_VERSION} && dpkg-buildpackage
		DEPENDS targz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating Debian package" VERBATIM
	)

	file(GLOB changesdebs "${CMAKE_BINARY_DIR}/${CPACK_PACKAGE_NAME}_*.dsc")

	message ("changes debian file : ${changesdeb}")
	#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
	add_custom_target(lintian
		lintian -IEi --pedantic ${changesdeb}
		DEPENDS deb
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "lintian check" VERBATIM
	)

ENDIF()


configure_file (${CMAKE_SOURCE_DIR}/src/version.cmake ${CMAKE_SOURCE_DIR}/src/version.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/bin/ms-eater ${CMAKE_CURRENT_BINARY_DIR}/bin/ms-eater @ONLY)
configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/ms-eater.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/ms-eater.desktop)


INSTALL(FILES ${CMAKE_SOURCE_DIR}/doc/images/ms-eater.svg DESTINATION share/ms-eater)

INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/ms-eater.desktop DESTINATION share/applications)

#INSTALL python script
FILE(GLOB pythonbin  "${CMAKE_CURRENT_SOURCE_DIR}/src/*.py")
#INSTALL(PROGRAMS ${pythonbin} DESTINATION bin)
INSTALL(FILES ${pythonbin} DESTINATION lib/ms-eater)

#INSTALL Parser
FILE(GLOB pythonparser  "${CMAKE_CURRENT_SOURCE_DIR}/src/Parser/*.py")
#INSTALL(PROGRAMS ${pythonbin} DESTINATION bin)
INSTALL(FILES ${pythonparser} DESTINATION lib/ms-eater/Parser)



#INSTALL python script
INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bin/ms-eater DESTINATION bin)

=== debian/changelog ===
ms-eater (0.3.4-1) jessie; urgency=medium

  * new version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 21 Jan 2017 20:56:57 +0100

ms-eater (0.3.3-2) jessie; urgency=medium

  * package fix

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 14:21:06 +0100

ms-eater (0.3.3-1) jessie; urgency=medium

  * lots of improvements

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 13:55:54 +0100

ms-eater (0.2.0-1) jessie; urgency=medium

  * TIC mean on MS1 MS2, bug fixed in TSV export

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 13 Nov 2015 10:05:45 +0100

ms-eater (0.1.0-4) jessie; urgency=medium

  * better MS eater

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 22 Oct 2015 10:29:13 +0200

ms-eater (0.1.0-3) jessie; urgency=medium

  * nouvelle version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 13 Oct 2015 16:43:17 +0200

ms-eater (0.1.0-2) jessie; urgency=medium

  * new version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 28 Sep 2015 15:46:20 +0200

ms-eater (0.1.0-1) jessie; urgency=medium

  * first debian package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 25 Sep 2015 22:08:12 +0200

=== debian/control ===
Source: ms-eater
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>=9), cmake (>= 2.6), dh-python, python3
Standards-Version: 3.9.4

Package: ms-eater
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python-matplotlib, python-qt4
Description: set of proteomic tools used on PAPPSO. computes peptide mass, isotope ratio,
 fragmentation products, protein grouper.

## ms-eater 0.3.5-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(MSEATER_VERSION_MAJOR "0")
 SET(MSEATER_VERSION_MINOR "3")
-SET(MSEATER_VERSION_PATCH "4")
+SET(MSEATER_VERSION_PATCH "5")
 SET(MSEATER_VERSION "${MSEATER_VERSION_MAJOR}.${MSEATER_VERSION_MINOR}.${MSEATER_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non

=== debian/changelog ===
ms-eater (0.3.5-1) stretch; urgency=medium

  * first stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 29 Jun 2017 10:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ms-eater
-Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
+Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
 Homepage: http://pappso.inra.fr/bioinfo
 Section: libs
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DESTDIR=$(CURDIR)/debian/tmp
#%:
#        dh $@ --with python3 --buildsystem=cmake


configure: configure-stamp
configure-stamp:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#$(MAKE) doc
	#docbook-to-man debian/beads.sgml > beads.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp CMakeCache.txt

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(DESTDIR) --list-missing
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_python3

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ms-eater 0.3.6-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(MSEATER_VERSION_MAJOR "0")
 SET(MSEATER_VERSION_MINOR "3")
-SET(MSEATER_VERSION_PATCH "5")
+SET(MSEATER_VERSION_PATCH "6")
 SET(MSEATER_VERSION "${MSEATER_VERSION_MAJOR}.${MSEATER_VERSION_MINOR}.${MSEATER_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non

=== debian/changelog ===
ms-eater (0.3.6-1) buster; urgency=medium

  * first buster package
  * cycle duration

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 05 Oct 2019 08:23:06 +0200

## ms-eater 0.3.8-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(MSEATER_VERSION_MAJOR "0")
 SET(MSEATER_VERSION_MINOR "3")
-SET(MSEATER_VERSION_PATCH "6")
+SET(MSEATER_VERSION_PATCH "8")
 SET(MSEATER_VERSION "${MSEATER_VERSION_MAJOR}.${MSEATER_VERSION_MINOR}.${MSEATER_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non

=== debian/changelog ===
ms-eater (0.3.8-1) bullseye; urgency=medium

  * update

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Feb 2023 10:47:46 +0100

ms-eater (0.3.7-2) bullseye; urgency=medium

  * fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 09:36:24 +0100

ms-eater (0.3.7-1) bullseye; urgency=medium

  * new	bullseye

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 09:25:11 +0100

=== debian/control ===
Source: ms-eater
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>=9), cmake (>= 2.6), dh-python, python3, python3-pymzml
Standards-Version: 3.9.4

Package: ms-eater
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-matplotlib, python3-qtpy, python3-pymzml
Description: set of proteomic tools used on PAPPSO. computes peptide mass, isotope ratio,
 fragmentation products, protein grouper.
